﻿using System.Collections;

namespace NUnit.Framework
{
    public static class CollectionAssertions
    {
        public static void ShouldContain(this ICollection actual, object expected)
        {
            CollectionAssert.Contains(actual, expected);
        }

        public static void ShouldNotEqual(this ICollection actual, ICollection expected)
        {
            CollectionAssert.AreNotEqual(expected, actual);
        }

        public static void ShouldEqualCollection(this ICollection actual, ICollection expected)
        {
            CollectionAssert.AreEqual(expected, actual);
        }

        public static void ShouldBeEquivalent(this ICollection actual, ICollection expected)
        {
            CollectionAssert.AreEquivalent(expected, actual);
        }

        public static void ShouldNotEqualCollection(this ICollection actual, ICollection expected)
        {
            CollectionAssert.AreNotEqual(expected, actual);
        }

        public static void ShouldNotBeEquivalent(this ICollection actual, ICollection expected)
        {
            CollectionAssert.AreNotEquivalent(expected, actual);
        }
    }
}