﻿using System;

namespace NUnit.Framework
{
    public static class ComparableAssertions
    {
        public static void ShouldBeGreaterThan(this IComparable actual, IComparable expected)
        {
            Assert.Greater(actual, expected);
        }

        public static void ShouldBeGreaterThanOrEqual(this IComparable actual, IComparable expected)
        {
            Assert.GreaterOrEqual(actual, expected);
        }

        public static void ShouldBeLessThan(this IComparable actual, IComparable expected)
        {
            Assert.Less(actual, expected);
        }

        public static void ShouldBeLessThanOrEqual(this IComparable actual, IComparable expected)
        {
            Assert.LessOrEqual(actual, expected);
        }

        public static void ShouldBeInRange(this IComparable actual, IComparable minimumExpected, IComparable maximumExpected)
        {
            Assert.GreaterOrEqual(actual, minimumExpected);
            Assert.LessOrEqual(actual, maximumExpected);
        }

    }
}